%define section	free

Name:		sleep
Version:	2.0
Release:	0.b6.2jpp
Epoch:		1
Summary:	A perl inspired embed-able scripting language for Java applications
License:	LGPL
URL:		http://jirc.hick.org/sleep/
Group:		Networking/IRC
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://jirc.hick.org/download/sleep20-b6.tgz
Patch0:		sleep-crosslink.patch
Patch1:         sleep-array.patch
BuildRequires:	ant >= 0:1.6
BuildRequires:	java-javadoc
BuildRequires:	jpackage-utils >= 0:1.5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Sleep is a perl inspired embed-able scripting language for Java 
applications. The main goals of sleep are easy to learn, easy to 
use, and easy to integrate.

Sleep source and binaries are released under the GNU Lesser General 
Public License History:

Sleep came from an inspired weekend of coding in April 2002. Since 
then Sleep has been developed in parallel with the Java IRC Client, 
jIRCii. Nearly three years later Sleep is a stable and ready to use 
solution for scripting Java applications. Features:

    * Perl inspired language syntax
    * Fast execution/small runtime size (160 KB)
    * Parsed scripts can be serialized
    * Easy API for making application data structures / functionality
      available to scripters
    * Full documentation for application developers and end-user scripters

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%ant -Djava.javadoc=%{_javadocdir}/java jar docs-full

%install
%__rm -rf %{buildroot}

# jars
%__mkdir_p %{buildroot}%{_javadir}
%__cp -a %{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do \
%__ln_s ${jar} ${jar/-%{version}/}; done)

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %__ln_s %{name}-%{version} %{name})
%__rm -rf docs/api

%clean
%__rm -rf %{buildroot}

%post javadoc
%__rm -f %{_javadocdir}/%{name}
%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %__rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc license.txt readme.txt docs/*
%{_javadir}/%{name}.jar
%{_javadir}//%{name}-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Tue May 03 2005 David Walluck <david@jpackage> 1:2.0-0.b6.2jpp
- add array patch from sleep 050105

* Sun Apr 24 2005 David Walluck <david@jpackage> 1:2.0-0.b6.1jpp
- 2.0b6

* Mon Mar 14 2005 David Walluck <david@jpackage> 0:05.02.28-1jpp
- 05.02.28

* Wed Feb 16 2005 David Walluck <david@jpackage> 0:05.02.12-2jpp
- fix source

* Wed Feb 16 2005 David Walluck <david@jpackage> 0:05.02.12-1jpp
- 05.02.12

* Fri Jan 30 2005 David Walluck <david@jpackage> 0:05.01.29-1jpp
- release
